Package org.apache.solr.client.solrj.request

## Class AliasPropertiesApi.CreateOrUpdateAliasProperty

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>
  - - org.apache.solr.client.solrj.request.AliasPropertiesApi.CreateOrUpdateAliasProperty

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  AliasPropertiesApi

    public static class AliasPropertiesApi.CreateOrUpdateAliasProperty
    extends SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`CreateOrUpdateAliasProperty​(String aliasName, String propName)` Create a CreateOrUpdateAliasProperty request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`RequestWriter.ContentWriter` `getContentWriter​(String _expectedTypeIGNORE)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setValue​(Object value)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateOrUpdateAliasProperty

    public CreateOrUpdateAliasProperty​(String aliasName,
                                       String propName)

Create a CreateOrUpdateAliasProperty request object.

Parameters:
  `aliasName` - Path param - Alias Name
  `propName` - Path param - Property Name

### Method Detail

#### setValue

    public void setValue​(Object value)

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String _expectedTypeIGNORE)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`
Parameters:
  `_expectedTypeIGNORE` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`

#### createResponse

    protected AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse>`
Returns:
  The `ResponseParser`